petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatPartitioningGetType

Gets the Partitioning method type and name (as a string) from the partitioning context.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPartitioningGetType(MatPartitioning partitioning,MatPartitioningType *type)

Not collective Many br

### Input Parameter

partitioning -the partitioning context Many br

### Output Parameter

type -partitioner type Many br

Many br

Not Collective Many br

### Keywords

Partitioning, get, method, name, type

Level:intermediate
Location:src/mat/partition/partition.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages